dbXML API

## org.dbxml.client.xmldb.services
Class XMLObjectService

    java.lang.Object
      |
      +--org.dbxml.client.xmldb.CommonConfigurable
            |
            +--org.dbxml.client.xmldb.services.XMLObjectService

All Implemented Interfaces:
  Configurable, Service

public class XMLObjectService
extends CommonConfigurable
implements Service

XMLObjectService enables invocation of XMLObjects within the dbXML server. The implementation of this functionality is currently quite simplistic.

Constructor Summary
`XMLObjectService()` Creates a new XMLObjectService to enable invocation of XMLObjects on the server.

Method Summary
`java.lang.String` `getName()` Returns the name associated with the Service instance.
`java.lang.String` `getVersion()` Gets the Version attribute of the Service object
`Resource` `invokeXMLObject(java.lang.String uri)` Invokes an XMLObject using the provided URI.
`void` `setCollection(Collection col)` Sets the collection associated with this service.

Methods inherited from class org.dbxml.client.xmldb.CommonConfigurable
`getProperty, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Constructor Detail

### XMLObjectService

    public XMLObjectService()

  Creates a new XMLObjectService to enable invocation of XMLObjects on the server.

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Service`
  Returns the name associated with the Service instance.
  Specified by:
    `getName` in interface `Service`
  Following copied from interface: `org.xmldb.api.base.Service`
  Returns:
    the name of the object.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getVersion

    public java.lang.String getVersion()

  Description copied from interface: `Service`
  Gets the Version attribute of the Service object
  Specified by:
    `getVersion` in interface `Service`
  Following copied from interface: `org.xmldb.api.base.Service`
  Returns:
    The Version value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### setCollection

    public void setCollection(Collection col)

  Sets the collection associated with this service.
  Specified by:
    `setCollection` in interface `Service`
  Following copied from interface: `org.xmldb.api.base.Service`
  Parameters:
    `col` - The new Collection value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### invokeXMLObject

    public Resource invokeXMLObject(java.lang.String uri)
                             throws XMLDBException

  Invokes an XMLObject using the provided URI.
  Parameters:
    `the` - uri including parameters for the XMLObject to invoke.
  Returns:
    a Resource encapsulating the result of the invocation. The resource type is determined by the current resourceType setting of the parent collection.
  Throws:
    `XMLDBException` - Thrown if any error occurs.

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved